Server API
Teams
Team management
curl -X GET "https://loading/api/v1/teams"[
{
"created_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"updated_at": "2019-08-24T14:15:22Z"
}
]{
"error": "string"
}Create_team
AuthorizationBearer <token>
In: header
namestring
owner_id?string | null
Format
uuidResponse Body
curl -X POST "https://loading/api/v1/teams" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'{
"created_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Delete_team
AuthorizationBearer <token>
In: header
Path Parameters
idstring
Team ID
Format
uuidResponse Body
curl -X DELETE "https://loading/api/v1/teams/497f6eca-6276-4993-bfeb-53cbbbba6f08"{}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}List_team_members
AuthorizationBearer <token>
In: header
Path Parameters
idstring
Team ID
Format
uuidResponse Body
curl -X GET "https://loading/api/v1/teams/497f6eca-6276-4993-bfeb-53cbbbba6f08/members"[
{
"created_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"role": "string",
"team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"
}
]{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Add_team_member
AuthorizationBearer <token>
In: header
Path Parameters
idstring
Team ID
Format
uuiduser_idstring
Format
uuidResponse Body
curl -X POST "https://loading/api/v1/teams/497f6eca-6276-4993-bfeb-53cbbbba6f08/members" \
-H "Content-Type: application/json" \
-d '{
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"
}'{
"created_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"role": "string",
"team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Remove_team_member
AuthorizationBearer <token>
In: header
Path Parameters
idstring
Team ID
Format
uuiduser_idstring
User ID
Format
uuidResponse Body
curl -X DELETE "https://loading/api/v1/teams/497f6eca-6276-4993-bfeb-53cbbbba6f08/members/497f6eca-6276-4993-bfeb-53cbbbba6f08"{}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Set_team_member_role
AuthorizationBearer <token>
In: header
Path Parameters
idstring
Team ID
Format
uuiduser_idstring
User ID
Format
uuidrolestring
Response Body
curl -X PUT "https://loading/api/v1/teams/497f6eca-6276-4993-bfeb-53cbbbba6f08/members/497f6eca-6276-4993-bfeb-53cbbbba6f08/role" \
-H "Content-Type: application/json" \
-d '{
"role": "string"
}'{
"created_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"role": "string",
"team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}